org.eclipse.oomph.p2.impl

## Class P2PackageImpl

- java.lang.Object
- - org.eclipse.emf.common.notify.impl.BasicNotifierImpl
  - - org.eclipse.emf.ecore.impl.BasicEObjectImpl
    - - org.eclipse.emf.ecore.impl.MinimalEObjectImpl
      - - org.eclipse.emf.ecore.impl.MinimalEObjectImpl.Container
        - - org.eclipse.emf.ecore.impl.EModelElementImpl
          - - org.eclipse.emf.ecore.impl.ENamedElementImpl
            - - org.eclipse.emf.ecore.impl.EPackageImpl
              - - org.eclipse.oomph.p2.impl.P2PackageImpl

- All Implemented Interfaces:
    Notifier, EModelElement, ENamedElement, EObject, EPackage, EStructuralFeature.Internal.DynamicValueHolder, InternalEObject, BasicExtendedMetaData.EPackageExtendedMetaData.Holder, P2Package

      public class P2PackageImpl
      extends EPackageImpl
      implements P2Package

  An implementation of the model Package.
  Generated

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class org.eclipse.emf.ecore.impl.EPackageImpl

      `EPackageImpl.EBasicWhiteList`

    - ### Nested classes/interfaces inherited from class org.eclipse.emf.ecore.impl.MinimalEObjectImpl.Container

      `MinimalEObjectImpl.Container.Dynamic`

    - ### Nested classes/interfaces inherited from class org.eclipse.emf.ecore.impl.MinimalEObjectImpl

      `MinimalEObjectImpl.Container`

    - ### Nested classes/interfaces inherited from class org.eclipse.emf.ecore.impl.BasicEObjectImpl

      `BasicEObjectImpl.EPropertiesHolder, BasicEObjectImpl.EPropertiesHolderBaseImpl, BasicEObjectImpl.EPropertiesHolderImpl`

    - ### Nested classes/interfaces inherited from class org.eclipse.emf.common.notify.impl.BasicNotifierImpl

      `BasicNotifierImpl.EAdapterList<E extends Object & Adapter>, BasicNotifierImpl.EObservableAdapterList`

    - ### Nested classes/interfaces inherited from interface org.eclipse.oomph.p2.P2Package

      `P2Package.Literals`

    - ### Nested classes/interfaces inherited from interface org.eclipse.emf.ecore.EPackage

      `EPackage.Descriptor, EPackage.Registry`

    - ### Nested classes/interfaces inherited from interface org.eclipse.emf.ecore.InternalEObject

      `InternalEObject.EStore`

  - ### Field Summary

    - ### Fields inherited from class org.eclipse.emf.ecore.impl.EPackageImpl

      `eClassifiers, ecoreFactory, ecorePackage, eFactoryInstance, eNameToEClassifierMap, ePackageExtendedMetaData, eSubpackages, IS_ABSTRACT, IS_CHANGEABLE, IS_COMPOSITE, IS_DERIVED, IS_GENERATED_INSTANCE_CLASS, IS_ID, IS_INTERFACE, IS_ORDERED, IS_RESOLVABLE, IS_RESOLVE_PROXIES, IS_SERIALIZABLE, IS_TRANSIENT, IS_UNIQUE, IS_UNSETTABLE, IS_VOLATILE, NS_PREFIX_EDEFAULT, NS_URI_EDEFAULT, nsPrefix, nsURI`

    - ### Fields inherited from class org.eclipse.emf.ecore.impl.ENamedElementImpl

      `name, NAME_EDEFAULT`

    - ### Fields inherited from class org.eclipse.emf.ecore.impl.EModelElementImpl

      `eAnnotations, eFlags, EFROZEN, ELAST_EMODEL_ELEMENT_FLAG`

    - ### Fields inherited from class org.eclipse.emf.ecore.impl.MinimalEObjectImpl.Container

      `eContainer`

    - ### Fields inherited from class org.eclipse.emf.ecore.impl.BasicEObjectImpl

      `EVIRTUAL_GET, EVIRTUAL_IS_SET, EVIRTUAL_NO_VALUE, EVIRTUAL_SET, EVIRTUAL_UNSET`

    - ### Fields inherited from interface org.eclipse.oomph.p2.P2Package

      `eINSTANCE, eNAME, eNS_PREFIX, eNS_URI, PROFILE_DEFINITION, PROFILE_DEFINITION___GET_ANNOTATION__STRING, PROFILE_DEFINITION___SET_REPOSITORIES__ELIST, PROFILE_DEFINITION___SET_REQUIREMENTS__ELIST, PROFILE_DEFINITION__ANNOTATIONS, PROFILE_DEFINITION__INCLUDE_SOURCE_BUNDLES, PROFILE_DEFINITION__REPOSITORIES, PROFILE_DEFINITION__REQUIREMENTS, PROFILE_DEFINITION_FEATURE_COUNT, PROFILE_DEFINITION_OPERATION_COUNT, REPOSITORY, REPOSITORY___GET_ANNOTATION__STRING, REPOSITORY__ANNOTATIONS, REPOSITORY__TYPE, REPOSITORY__URL, REPOSITORY_FEATURE_COUNT, REPOSITORY_LIST, REPOSITORY_LIST___GET_ANNOTATION__STRING, REPOSITORY_LIST__ANNOTATIONS, REPOSITORY_LIST__NAME, REPOSITORY_LIST__REPOSITORIES, REPOSITORY_LIST_FEATURE_COUNT, REPOSITORY_LIST_OPERATION_COUNT, REPOSITORY_OPERATION_COUNT, REPOSITORY_TYPE, REQUIREMENT, REQUIREMENT___GET_ANNOTATION__STRING, REQUIREMENT___SET_VERSION_RANGE__VERSION_VERSIONSEGMENT, REQUIREMENT__ANNOTATIONS, REQUIREMENT__FEATURE, REQUIREMENT__ID, REQUIREMENT__NAME, REQUIREMENT__NAMESPACE, REQUIREMENT__OPTIONAL, REQUIREMENT__VERSION_RANGE, REQUIREMENT_FEATURE_COUNT, REQUIREMENT_OPERATION_COUNT, VERSION, VERSION_RANGE, VERSION_SEGMENT`

    - ### Fields inherited from interface org.eclipse.emf.ecore.EStructuralFeature.Internal.DynamicValueHolder

      `NIL`

    - ### Fields inherited from interface org.eclipse.emf.ecore.InternalEObject

      `EOPPOSITE_FEATURE_BASE`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `protected void` | `createExtendedMetaDataAnnotations()` Initializes the annotations for http:///org/eclipse/emf/ecore/util/ExtendedMetaData.
    `protected void` | `createLabelProviderAnnotations()` Initializes the annotations for http://www.eclipse.org/oomph/base/LabelProvider.
    `void` | `createPackageContents()` Creates the meta-model objects for the package.
    `P2Factory` | `getP2Factory()`
    `EOperation` | `getProfileDefinition__SetRepositories__EList()`
    `EOperation` | `getProfileDefinition__SetRequirements__EList()`
    `EAttribute` | `getProfileDefinition_IncludeSourceBundles()`
    `EReference` | `getProfileDefinition_Repositories()`
    `EReference` | `getProfileDefinition_Requirements()`
    `EClass` | `getProfileDefinition()`
    `EAttribute` | `getRepository_Type()`
    `EAttribute` | `getRepository_URL()`
    `EClass` | `getRepository()`
    `EAttribute` | `getRepositoryList_Name()`
    `EReference` | `getRepositoryList_Repositories()`
    `EClass` | `getRepositoryList()`
    `EEnum` | `getRepositoryType()`
    `EOperation` | `getRequirement__SetVersionRange__Version_VersionSegment()`
    `EAttribute` | `getRequirement_Feature()`
    `EAttribute` | `getRequirement_ID()`
    `EAttribute` | `getRequirement_Name()`
    `EAttribute` | `getRequirement_Namespace()`
    `EAttribute` | `getRequirement_Optional()`
    `EAttribute` | `getRequirement_VersionRange()`
    `EClass` | `getRequirement()`
    `EDataType` | `getVersion()`
    `EDataType` | `getVersionRange()`
    `EEnum` | `getVersionSegment()`
    `static P2Package` | `init()` Creates, registers, and initializes the Package for this model, and for any others upon which it depends.
    `void` | `initializePackageContents()` Complete the initialization of the package and its meta-model.

    - ### Methods inherited from class org.eclipse.emf.ecore.impl.EPackageImpl

      `addAnnotation, addAnnotation, addAnnotation, addAnnotation, addAnnotation, addAnnotation, addEEnumLiteral, addEException, addEException, addEOperation, addEOperation, addEOperation, addEParameter, addEParameter, addEParameter, addEParameter, addEParameter, addETypeParameter, addETypeParameter, basicGetESuperPackage, basicSetEFactoryInstance, createEAttribute, createEClass, createEDataType, createEEnum, createEGenericType, createEGenericType, createEGenericType, createEOperation, createEReference, createResource, eBasicRemoveFromContainerFeature, eGet, eInverseAdd, eInverseRemove, eInvoke, eIsSet, eObjectForURIFragmentSegment, eSet, eSetProxyURI, eStaticClass, eUnset, fixEClassifiers, fixEEnumLiterals, fixEOperations, fixEStructuralFeatures, fixInstanceClass, freeze, getEClassifier, getEClassifierGen, getEClassifiers, getEFactoryInstance, getESubpackages, getESuperPackage, getExtendedMetaData, getNsPrefix, getNsURI, initEAttribute, initEAttribute, initEAttribute, initEAttribute, initEAttribute, initEAttribute, initEAttribute, initEClass, initEClass, initEClass, initEDataType, initEDataType, initEDataType, initEEnum, initEOperation, initEOperation, initEOperation, initEOperation, initEReference, initEReference, initEReference, initEReference, initEReference, initEReference, initEReference, initializeFromLoadedEPackage, setEFactoryInstance, setExtendedMetaData, setGeneratedClassName, setInstanceTypeName, setNamespaceURI, setNsPrefix, setNsURI, toString`

    - ### Methods inherited from class org.eclipse.emf.ecore.impl.ENamedElementImpl

      `eContents, eCrossReferences, getName, getNameGen, setName`

    - ### Methods inherited from class org.eclipse.emf.ecore.impl.EModelElementImpl

      `eSetDirectResource, eURIFragmentSegment, freeze, getEAnnotation, getEAnnotations, isFrozen, setFrozen`

    - ### Methods inherited from class org.eclipse.emf.ecore.impl.MinimalEObjectImpl.Container

      `eBasicSetContainer, eInternalContainer`

    - ### Methods inherited from class org.eclipse.emf.ecore.impl.MinimalEObjectImpl

      `dynamicGet, dynamicSet, dynamicUnset, eAdapters, eBasicAdapterArray, eBasicAdapterListeners, eBasicAdapters, eBasicHasAdapters, eBasicProperties, eBasicSetAdapterArray, eBasicSetAdapterListeners, eBasicSetContainer, eBasicSetContainerFeatureID, eBasicSetSettings, eBasicSettings, eClass, eContainerFeatureID, eDeliver, eDirectResource, eDynamicClass, eHasSettings, eIsProxy, eProperties, eProxyURI, eSetClass, eSetDeliver, eSettings`

    - ### Methods inherited from class org.eclipse.emf.ecore.impl.BasicEObjectImpl

      `eAddVirtualValue, eAllContents, eBaseStructuralFeatureID, eBasicRemoveFromContainer, eBasicSetContainer, eComputeVirtualValuesCapacity, eContainer, eContainerAdapterArray, eContainingFeature, eContainmentFeature, eContainmentFeature, eContains, eDerivedOperationID, eDerivedOperationID, eDerivedStructuralFeatureID, eDerivedStructuralFeatureID, eDynamicBasicRemoveFromContainer, eDynamicFeature, eDynamicFeatureID, eDynamicGet, eDynamicGet, eDynamicGet, eDynamicInverseAdd, eDynamicInverseAdd, eDynamicInverseRemove, eDynamicInverseRemove, eDynamicInvoke, eDynamicInvoke, eDynamicIsSet, eDynamicIsSet, eDynamicIsSet, eDynamicSet, eDynamicSet, eDynamicSet, eDynamicUnset, eDynamicUnset, eDynamicUnset, eGet, eGet, eGet, eInternalResource, eInverseAdd, eInverseRemove, eInvocationDelegate, eInvoke, eIsSet, eOpenGet, eOpenIsSet, eOpenSet, eOpenUnset, eRemoveVirtualValue, eResolveProxy, eResource, eSet, eSetResource, eSetStore, eSetting, eSettingDelegate, eSetVirtualIndexBits, eSetVirtualValue, eSetVirtualValues, eStaticFeatureCount, eStaticOperationCount, eStore, eUnset, eVirtualBitCount, eVirtualGet, eVirtualGet, eVirtualIndex, eVirtualIndexBits, eVirtualIsSet, eVirtualSet, eVirtualUnset, eVirtualValue, eVirtualValues`

    - ### Methods inherited from class org.eclipse.emf.common.notify.impl.BasicNotifierImpl

      `eNotificationRequired, eNotify`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

    - ### Methods inherited from interface org.eclipse.emf.ecore.EPackage

      `getEClassifier, getEClassifiers, getEFactoryInstance, getESubpackages, getESuperPackage, getNsPrefix, getNsURI, setEFactoryInstance, setNsPrefix, setNsURI`

    - ### Methods inherited from interface org.eclipse.emf.ecore.ENamedElement

      `getName, setName`

    - ### Methods inherited from interface org.eclipse.emf.ecore.EModelElement

      `getEAnnotation, getEAnnotations`

    - ### Methods inherited from interface org.eclipse.emf.ecore.EObject

      `eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eInvoke, eIsProxy, eIsSet, eResource, eSet, eUnset`

    - ### Methods inherited from interface org.eclipse.emf.common.notify.Notifier

      `eAdapters, eDeliver, eNotify, eSetDeliver`

    - ### Methods inherited from interface org.eclipse.emf.ecore.InternalEObject

      `eNotificationRequired`

- - ### Method Detail

    - #### init

          public static P2Package init()

      Creates, registers, and initializes the Package for this model, and for any others upon which it depends.

      This method is used to initialize `P2Package.eINSTANCE` when that field is accessed. Clients should not invoke it directly. Instead, they should simply access that field to obtain the package.

      See Also:
        `P2Package.eNS_URI`, `createPackageContents()`, `initializePackageContents()`
      Generated

    - #### getProfileDefinition

          public EClass getProfileDefinition()

      Specified by:
        `getProfileDefinition` in interface `P2Package`
      Returns:
        the meta object for class 'Profile Definition'.
      See Also:
        `ProfileDefinition`
      Generated

    - #### getProfileDefinition_Requirements

          public EReference getProfileDefinition_Requirements()

      Specified by:
        `getProfileDefinition_Requirements` in interface `P2Package`
      Returns:
        the meta object for the containment reference list 'Requirements'.
      See Also:
        `ProfileDefinition.getRequirements()`, `P2Package.getProfileDefinition()`
      Generated

    - #### getProfileDefinition_Repositories

          public EReference getProfileDefinition_Repositories()

      Specified by:
        `getProfileDefinition_Repositories` in interface `P2Package`
      Returns:
        the meta object for the containment reference list 'Repositories'.
      See Also:
        `ProfileDefinition.getRepositories()`, `P2Package.getProfileDefinition()`
      Generated

    - #### getProfileDefinition_IncludeSourceBundles

          public EAttribute getProfileDefinition_IncludeSourceBundles()

      Specified by:
        `getProfileDefinition_IncludeSourceBundles` in interface `P2Package`
      Returns:
        the meta object for the attribute 'Include Source Bundles'.
      See Also:
        `ProfileDefinition.isIncludeSourceBundles()`, `P2Package.getProfileDefinition()`
      Generated

    - #### getProfileDefinition__SetRequirements__EList

          public EOperation getProfileDefinition__SetRequirements__EList()

      Specified by:
        `getProfileDefinition__SetRequirements__EList` in interface `P2Package`
      Returns:
        the meta object for the 'Set Requirements' operation.
      See Also:
        `ProfileDefinition.setRequirements(org.eclipse.emf.common.util.EList)`
      Generated

    - #### getProfileDefinition__SetRepositories__EList

          public EOperation getProfileDefinition__SetRepositories__EList()

      Specified by:
        `getProfileDefinition__SetRepositories__EList` in interface `P2Package`
      Returns:
        the meta object for the 'Set Repositories' operation.
      See Also:
        `ProfileDefinition.setRepositories(org.eclipse.emf.common.util.EList)`
      Generated

    - #### getRequirement

          public EClass getRequirement()

      Specified by:
        `getRequirement` in interface `P2Package`
      Returns:
        the meta object for class 'Requirement'.
      See Also:
        `Requirement`
      Generated

    - #### getRequirement_ID

          public EAttribute getRequirement_ID()

      Specified by:
        `getRequirement_ID` in interface `P2Package`
      Returns:
        the meta object for the attribute 'ID'.
      See Also:
        `Requirement`, `P2Package.getRequirement()`
      Generated

    - #### getRequirement_Name

          public EAttribute getRequirement_Name()

      Specified by:
        `getRequirement_Name` in interface `P2Package`
      Returns:
        the meta object for the attribute 'Name'.
      See Also:
        `Requirement.getName()`, `P2Package.getRequirement()`
      Generated

    - #### getRequirement_Namespace

          public EAttribute getRequirement_Namespace()

      Specified by:
        `getRequirement_Namespace` in interface `P2Package`
      Returns:
        the meta object for the attribute 'Namespace'.
      See Also:
        `Requirement.getNamespace()`, `P2Package.getRequirement()`
      Generated

    - #### getRequirement_VersionRange

          public EAttribute getRequirement_VersionRange()

      Specified by:
        `getRequirement_VersionRange` in interface `P2Package`
      Returns:
        the meta object for the attribute 'Version Range'.
      See Also:
        `Requirement.getVersionRange()`, `P2Package.getRequirement()`
      Generated

    - #### getRequirement_Optional

          public EAttribute getRequirement_Optional()

      Specified by:
        `getRequirement_Optional` in interface `P2Package`
      Returns:
        the meta object for the attribute 'Optional'.
      See Also:
        `Requirement.isOptional()`, `P2Package.getRequirement()`
      Generated

    - #### getRequirement_Feature

          public EAttribute getRequirement_Feature()

      Specified by:
        `getRequirement_Feature` in interface `P2Package`
      Returns:
        the meta object for the attribute 'Feature'.
      See Also:
        `Requirement.isFeature()`, `P2Package.getRequirement()`
      Generated

    - #### getRequirement__SetVersionRange__Version_VersionSegment

          public EOperation getRequirement__SetVersionRange__Version_VersionSegment()

      Specified by:
        `getRequirement__SetVersionRange__Version_VersionSegment` in interface `P2Package`
      Returns:
        the meta object for the 'Set Version Range' operation.
      See Also:
        `Requirement.setVersionRange(org.eclipse.equinox.p2.metadata.Version, org.eclipse.oomph.p2.VersionSegment)`
      Generated

    - #### getRepositoryList

          public EClass getRepositoryList()

      Specified by:
        `getRepositoryList` in interface `P2Package`
      Returns:
        the meta object for class 'Repository List'.
      See Also:
        `RepositoryList`
      Generated

    - #### getRepositoryList_Repositories

          public EReference getRepositoryList_Repositories()

      Specified by:
        `getRepositoryList_Repositories` in interface `P2Package`
      Returns:
        the meta object for the containment reference list 'Repositories'.
      See Also:
        `RepositoryList.getRepositories()`, `P2Package.getRepositoryList()`
      Generated

    - #### getRepositoryList_Name

          public EAttribute getRepositoryList_Name()

      Specified by:
        `getRepositoryList_Name` in interface `P2Package`
      Returns:
        the meta object for the attribute 'Name'.
      See Also:
        `RepositoryList.getName()`, `P2Package.getRepositoryList()`
      Generated

    - #### getRepository

          public EClass getRepository()

      Specified by:
        `getRepository` in interface `P2Package`
      Returns:
        the meta object for class 'Repository'.
      See Also:
        `Repository`
      Generated

    - #### getRepository_URL

          public EAttribute getRepository_URL()

      Specified by:
        `getRepository_URL` in interface `P2Package`
      Returns:
        the meta object for the attribute 'URL'.
      See Also:
        `Repository.getURL()`, `P2Package.getRepository()`
      Generated

    - #### getRepository_Type

          public EAttribute getRepository_Type()

      Specified by:
        `getRepository_Type` in interface `P2Package`
      Returns:
        the meta object for the attribute 'Type'.
      See Also:
        `Repository.getType()`, `P2Package.getRepository()`
      Generated

    - #### getRepositoryType

          public EEnum getRepositoryType()

      Specified by:
        `getRepositoryType` in interface `P2Package`
      Returns:
        the meta object for enum 'Repository Type'.
      See Also:
        `RepositoryType`
      Generated

    - #### getVersionSegment

          public EEnum getVersionSegment()

      Specified by:
        `getVersionSegment` in interface `P2Package`
      Returns:
        the meta object for enum 'Version Segment'.
      See Also:
        `VersionSegment`
      Generated

    - #### getVersion

          public EDataType getVersion()

      Specified by:
        `getVersion` in interface `P2Package`
      Returns:
        the meta object for data type 'Version'.
      See Also:
        `Version`
      Generated

    - #### getVersionRange

          public EDataType getVersionRange()

      Specified by:
        `getVersionRange` in interface `P2Package`
      Returns:
        the meta object for data type 'Version Range'.
      See Also:
        `VersionRange`
      Generated

    - #### getP2Factory

          public P2Factory getP2Factory()

      Specified by:
        `getP2Factory` in interface `P2Package`
      Returns:
        the factory that creates the instances of the model.
      Generated

    - #### createPackageContents

          public void createPackageContents()

      Creates the meta-model objects for the package. This method is guarded to have no affect on any invocation but its first.
      Generated

    - #### initializePackageContents

          public void initializePackageContents()

      Complete the initialization of the package and its meta-model. This method is guarded to have no affect on any invocation but its first.
      Generated

    - #### createLabelProviderAnnotations

          protected void createLabelProviderAnnotations()

      Initializes the annotations for http://www.eclipse.org/oomph/base/LabelProvider.
      Generated

    - #### createExtendedMetaDataAnnotations

          protected void createExtendedMetaDataAnnotations()

      Initializes the annotations for http:///org/eclipse/emf/ecore/util/ExtendedMetaData.
      Generated

Copyright (c) 2014 Eike Stepper (Loehne, Germany) and others.
All rights reserved. This program and the accompanying materials are made available under the terms of the Eclipse Public License v2.0 which accompanies this distribution, and is available at http://www.eclipse.org/legal/epl-v20.html